;****************************************
; General
;****************************************

; Description
; A drush makefile for libraries used by Drupal modules.

; drush make API version
api = 2

; Drupal core
core = 6.x

;****************************************
; Libraries
;****************************************

; ARC2 library for the Drupal contrib modules "Resource Description Framework (RDF)" (rdf) which "Calais" (opencalais) depends on.
libraries[arc2][directory_name] = arc
libraries[arc2][download][type] = git
libraries[arc2][download][url] = git://github.com/semsol/arc2.git

; CKEditor for the Drupal contrib modules "CKEditor" (ckeditor) and "Wysiwyg API" (wysiwyg).
libraries[ckeditor][directory_name] = ckeditor
libraries[ckeditor][download][type] = svn
libraries[ckeditor][download][url] = http://svn.ckeditor.com/CKEditor/releases/stable/

; Clusterer2.js marker clusterer addon by Jef Poskanzer for the Drupal contrib module "GMap Module" (gmap).
libraries[clusterer2_js][destination] = modules/contrib/gmap
libraries[clusterer2_js][directory_name] = thirdparty
libraries[clusterer2_js][download][type] = get
libraries[clusterer2_js][download][url] = http://www.acme.com/javascript/Clusterer2.js
libraries[clusterer2_js][overwrite] = TRUE

; dompdf for the Drupal contrib module "Printer, e-mail and PDF versions" (print).
libraries[dompdf][directory_name] = dompdf
libraries[dompdf][download][type] = svn
libraries[dompdf][download][url] = http://dompdf.googlecode.com/svn/trunk/dompdf/

; FCKeditor for the Drupal contrib modules "FCKeditor" (fckeditor) and "Wysiwyg API" (wysiwyg).
libraries[fckeditor][directory_name] = fckeditor
libraries[fckeditor][download][type] = svn
libraries[fckeditor][download][url] = http://svn.fckeditor.net/FCKeditor/releases/stable/

; GeSHi for the Drupal contrib module "GeSHi Filter for syntax highlighting" (geshifilter).
libraries[geshi][directory_name] = geshi
libraries[geshi][download][type] = svn
libraries[geshi][download][url] = https://geshi.svn.sourceforge.net/svnroot/geshi/branches/RELEASE_1_0_X_STABLE/geshi-1.0.X/src/

; getID3 for the Drupal contrib module "getID3()" (getid3).
libraries[getid3][directory_name] = getid3
libraries[getid3][download][type] = get
libraries[getid3][download][url] = http://downloads.sourceforge.net/project/getid3/getID3%28%29%201.x/1.9.1/getid3-1.9.1-20110810.zip
libraries[getid3][patch][] = http://drupal.org/files/getid3-library-rm-demos-1516228.patch
; Removing "demos" directory from getID3 library
; http://drupal.org/node/1516228#comment-5831630
; If this patch does not work anymore on a new version of the library, we should rebuild it.

; HTML Purifier for the Drupal contrib module "HTML Purifier" (htmlpurifier).
libraries[htmlpurifier][directory_name] = htmlpurifier
libraries[htmlpurifier][download][type] = git
libraries[htmlpurifier][download][url] = git://repo.or.cz/htmlpurifier.git

; jQuery Cycle Plugin for the Drupal contrib module "Views cycle" (views_cycle).
libraries[jquery_cycle][directory_name] = jquery.cycle
libraries[jquery_cycle][download][filename] = jquery.cycle.all.min.js
libraries[jquery_cycle][download][type] = get
libraries[jquery_cycle][download][url] = https://www.github.com/downloads/malsup/cycle/jquery.cycle.all.2.88.min.js

; jQuery UI 1.7.x for the Drupal contrib modules "jQuery UI" (jquery_ui) which "jQuery Update" (jquery_update) depends on.
libraries[jqueryui][directory_name] = jquery.ui
libraries[jqueryui][download][type] = get
libraries[jqueryui][download][url] = http://jquery-ui.googlecode.com/files/jquery-ui-1.7.3.zip

; "Portable PHP password hashing framework" (phpass) for the Drupal contrib module "Secure Password Hashes" (phpass).
libraries[passwordhash_php][destination] = modules/contrib
libraries[passwordhash_php][directory_name] = phpass
libraries[passwordhash_php][download][type] = get
libraries[passwordhash_php][download][url] = http://cvsweb.openwall.com/cgi/cvsweb.cgi/~checkout~/projects/phpass/PasswordHash.php
libraries[passwordhash_php][overwrite] = TRUE

; PHPMailer for the Drupal contrib module "PHPMailer" (phpmailer).
libraries[phpmailer][directory_name] = phpmailer
libraries[phpmailer][download][type] = get
libraries[phpmailer][download][url] = http://downloads.sourceforge.net/project/phpmailer/phpmailer%20for%20php5_6/PHPMailer%20v5.1/PHPMailer_v5.1.tar.gz

; SWFUpload for the Drupal contrib module "Image FUpload" (image_fupload).
libraries[swfupload][destination] = modules/contrib/image_fupload
libraries[swfupload][directory_name] = swfupload
libraries[swfupload][download][type] = get
libraries[swfupload][download][url] = http://swfupload.googlecode.com/files/SWFUpload%20v2.2.0.1%20Core.zip
libraries[swfupload][overwrite] = TRUE
; "swfupload.swf" should be located in "sites/all/modules/contrib/image_fupload/swfupload/"
libraries[swfupload_swf][destination] = modules/contrib/image_fupload
libraries[swfupload_swf][directory_name] = swfupload
libraries[swfupload_swf][download][type] = get
libraries[swfupload_swf][download][url] = http://swfupload.googlecode.com/svn/swfupload/tags/swfupload_v2.2.0_core/Flash/swfupload.swf
libraries[swfupload_swf][overwrite] = TRUE
; "swfupload.queue.js" should be located in "sites/all/modules/contrib/image_fupload/swfupload/"
libraries[swfupload_queue_js][destination] = modules/contrib/image_fupload
libraries[swfupload_queue_js][directory_name] = swfupload
libraries[swfupload_queue_js][download][type] = get
libraries[swfupload_queue_js][download][url] = http://swfupload.googlecode.com/svn/swfupload/tags/swfupload_v2.2.0_core/plugins/swfupload.queue.js
libraries[swfupload_queue_js][overwrite] = TRUE
; Libraries API (feature request): https://drupal.org/node/670174

; TCPDF for the Drupal contrib module "Printer, e-mail and PDF versions" (print).
libraries[tcpdf][directory_name] = tcpdf
libraries[tcpdf][download][type] = git
libraries[tcpdf][download][url] = git://tcpdf.git.sourceforge.net/gitroot/tcpdf/tcpdf

; TinyMCE for the Drupal contrib module "Wysiwyg API" (wysiwyg).
libraries[tinymce][directory_name] = tinymce
libraries[tinymce][download][type] = get
libraries[tinymce][download][url] = http://github.com/downloads/tinymce/tinymce/tinymce_3.4.9_jquery.zip
; TODO:
;libraries[tinymce][download][type] = git
;libraries[tinymce][download][url] = git://github.com/tinymce/tinymce.git

; Imagerotator
libraries[imagerotator][directory_name] = imagerotator
libraries[imagerotator][download][type] = get
libraries[imagerotator][download][url] = http://www.longtailvideo.com/jw/upload/imagerotator.zip

; Media Player
libraries[mediaplayer4][directory_name] = mediaplayer4
libraries[mediaplayer4][download][type] = get
libraries[mediaplayer4][download][url] = http://www.longtailvideo.com/jw/upload/mediaplayer.zip

; Simile Timeline
libraries[simile_timeline][directory_name] = simile_timeline
libraries[simile_timeline][download][type] = get
libraries[simile_timeline][download][url] = https://simile-widgets.googlecode.com/files/timeline_libraries_v2.3.0.zip

; Simpleviewer
libraries[simpleviewer][directory_name] = simpleviewer
libraries[simpleviewer][download][type] = get
libraries[simpleviewer][download][url] = http://www.simpleviewer.net/downloads/simpleviewer.zip

; SWFobject
libraries[swfobject][directory_name] = swfobject
libraries[swfobject][download][type] = get
libraries[swfobject][download][url] = https://swfobject.googlecode.com/files/swfobject_2_2.zip

; video.js
libraries[video_js][directory_name] = video-js
libraries[video_js][download][type] = get
libraries[video_js][download][url] = https://github.com/downloads/zencoder/video-js/video-js-3.2.0.zip

;****************************************
; End
;****************************************
