;****************************************
; General
;****************************************

; Description
; A drush makefile for CiviCRM.

; drush make API version
api = 2

; Drupal core
core = 7.x

;****************************************
; CiviCRM core
;****************************************

; Checking for new updates at:
; http://sourceforge.net/projects/civicrm/files/civicrm-stable/

libraries[civicrm][destination] = modules
libraries[civicrm][directory_name] = civicrm
libraries[civicrm][download][type] = get
libraries[civicrm][download][url] = http://downloads.sourceforge.net/project/civicrm/civicrm-stable/4.1.5/civicrm-4.1.5-drupal.tar.gz

libraries[civicrm_l10n][destination] = modules
libraries[civicrm_l10n][directory_name] = civicrm
libraries[civicrm_l10n][download][type] = get
libraries[civicrm_l10n][download][url] = http://downloads.sourceforge.net/project/civicrm/civicrm-stable/4.1.5/civicrm-4.1.5-l10n.tar.gz
libraries[civicrm_l10n][overwrite] = TRUE

;****************************************
; Patches
;****************************************

; javascript internationalized strings not always escaped
; http://issues.civicrm.org/jira/browse/CRM-10565
libraries[civicrm][patch][] = http://issues.civicrm.org/jira/secure/attachment/16873/jsortable-i18n.patch

; Wrong count active membership with custom membership status
; http://issues.civicrm.org/jira/browse/CRM-10564
libraries[civicrm][patch][] = http://issues.civicrm.org/jira/secure/attachment/16872/CRM-10564.patch

; civicrm_member_roles module regression
; http://issues.civicrm.org/jira/browse/CRM-10541
;libraries[civicrm][patch][] = http://drupal.org/files/CRM-10541_0.patch
; Unable to patch civicrm with CRM-10541_0.patch
; http://drupal.org/node/1728628#comment-6415698

; dbLocale is not always initialized
; http://issues.civicrm.org/jira/browse/CRM-10606
libraries[civicrm][patch][] = http://drupal.org/files/CRM-10606-4.1.5.patch

;****************************************
; Modules
;****************************************

projects[civicrm_error][subdir] = contrib
projects[civicrm_error][version] = 2.0-rc2

projects[webform_civicrm][subdir] = contrib
projects[webform_civicrm][version] = 3.0

;****************************************
; End
;****************************************
